Closed Bug 1652243 Opened 3 months ago Closed 3 months ago

Perma TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js | xpcshell return code: 0 when Gecko 80 switches to beta on 2020-07-27

Categories

(Core :: Privacy: Anti-Tracking, defect)

defect

Tracking

()

VERIFIED FIXED
mozilla80
Tracking Status
thunderbird_esr60 --- unaffected
thunderbird_esr68 --- unaffected
thunderbird_esr78 --- unaffected
firefox-esr68 --- unaffected
firefox-esr78 --- unaffected
firefox78 --- unaffected
firefox79 --- unaffected
firefox80 + verified

People

(Reporter: dluca, Assigned: xeonchen)

References

(Regression)

Details

(Keywords: regression)

Attachments

(1 file)

[Tracking Requested - why for this release]:

Log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=309438666&repo=try&lineNumber=2523

TH:
https://treeherder.mozilla.org/#/jobs?repo=try&selectedTaskRun=BhwjBBGyRxW7T2joX-ClvA.0&revision=dbf2d6fadc2028ef274427c80ed5daefea4fb480

INFO -  TEST-START | toolkit/components/antitracking/test/xpcshell/test_view_source.js
[task 2020-07-11T12:05:03.814Z] 12:05:03  WARNING -  TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js | xpcshell return code: 0
[task 2020-07-11T12:05:03.815Z] 12:05:03     INFO -  TEST-INFO took 5347ms
[task 2020-07-11T12:05:03.816Z] 12:05:03     INFO -  >>>>>>>
[task 2020-07-11T12:05:03.816Z] 12:05:03     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2020-07-11T12:05:03.817Z] 12:05:03     INFO -  (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2020-07-11T12:05:03.817Z] 12:05:03     INFO -  (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2020-07-11T12:05:03.817Z] 12:05:03     INFO -  running event loop
[task 2020-07-11T12:05:03.818Z] 12:05:03     INFO -  "CONSOLE_MESSAGE: (info) No chrome package registered for chrome://branding/locale/brand.properties"
[task 2020-07-11T12:05:03.818Z] 12:05:03     INFO -  toolkit/components/antitracking/test/xpcshell/test_view_source.js | Starting
[task 2020-07-11T12:05:03.819Z] 12:05:03     INFO -  (xpcshell/head.js) | test pending (2)
[task 2020-07-11T12:05:03.819Z] 12:05:03     INFO -  "Disable predictor and accept all"
[task 2020-07-11T12:05:03.819Z] 12:05:03     INFO -  "Reset the hits count"
[task 2020-07-11T12:05:03.819Z] 12:05:03     INFO -  "Let's load a page"
[task 2020-07-11T12:05:03.820Z] 12:05:03     INFO -  (xpcshell/head.js) | test run_next_test 0 finished (2)
[task 2020-07-11T12:05:03.820Z] 12:05:03     INFO -  PID 13578 | JavaScript error: resource://gre/modules/ActorManagerChild.jsm, line 297: TypeError: singletons is null
[task 2020-07-11T12:05:03.820Z] 12:05:03     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "TypeError: singletons is null" {file: "resource://gre/modules/ActorManagerChild.jsm" line: 297}]
[task 2020-07-11T12:05:03.821Z] 12:05:03     INFO -  init@resource://gre/modules/ActorManagerChild.jsm:297:32
[task 2020-07-11T12:05:03.821Z] 12:05:03     INFO -  @resource://gre/modules/ActorManagerChild.jsm:349:19
[task 2020-07-11T12:05:03.821Z] 12:05:03     INFO -  @chrome://global/content/browser-content.js:12:41
[task 2020-07-11T12:05:03.822Z] 12:05:03     INFO -  _initBrowser@resource://testing-common/ExtensionXPCShellUtils.jsm:269:31
[task 2020-07-11T12:05:03.822Z] 12:05:03     INFO -  _do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:248:6
[task 2020-07-11T12:05:03.822Z] 12:05:03     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:577:5
[task 2020-07-11T12:05:03.822Z] 12:05:03     INFO -  @-e:1:1
[task 2020-07-11T12:05:03.823Z] 12:05:03     INFO -  "
[task 2020-07-11T12:05:03.823Z] 12:05:03     INFO -  "CONSOLE_MESSAGE: (warn) [JavaScript Warning: "Cookie “foo” will be soon rejected because it has the “SameSite” attribute set to “None” or an invalid value, without the “secure” attribute. To know more about the “SameSite“ attribute, read https://developer.mozilla.org/docs/Web/HTTP/Headers/Set-Cookie/SameSite" {file: "http://example.org/test" line: 0}]"
[task 2020-07-11T12:05:03.823Z] 12:05:03     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://example.org/test" line: 0}]"
[task 2020-07-11T12:05:03.824Z] 12:05:03     INFO -  TEST-PASS | toolkit/components/antitracking/test/xpcshell/test_view_source.js |  - The number of hits match - 0 == 0
[task 2020-07-11T12:05:03.824Z] 12:05:03     INFO -  "Let's load the source of the page"
[task 2020-07-11T12:05:03.824Z] 12:05:03     INFO -  PID 13578 | JavaScript error: resource://gre/modules/ActorManagerChild.jsm, line 297: TypeError: singletons is null
[task 2020-07-11T12:05:03.825Z] 12:05:03     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "TypeError: singletons is null" {file: "resource://gre/modules/ActorManagerChild.jsm" line: 297}]
[task 2020-07-11T12:05:03.825Z] 12:05:03     INFO -  init@resource://gre/modules/ActorManagerChild.jsm:297:32
[task 2020-07-11T12:05:03.825Z] 12:05:03     INFO -  @resource://gre/modules/ActorManagerChild.jsm:349:19
[task 2020-07-11T12:05:03.825Z] 12:05:03     INFO -  @chrome://global/content/browser-content.js:12:41
[task 2020-07-11T12:05:03.826Z] 12:05:03     INFO -  _initBrowser@resource://testing-common/ExtensionXPCShellUtils.jsm:269:31
[task 2020-07-11T12:05:03.826Z] 12:05:03     INFO -  _do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:248:6
[task 2020-07-11T12:05:03.826Z] 12:05:03     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:577:5
[task 2020-07-11T12:05:03.827Z] 12:05:03     INFO -  @-e:1:1
[task 2020-07-11T12:05:03.827Z] 12:05:03     INFO -  "
[task 2020-07-11T12:05:03.827Z] 12:05:03  WARNING -  TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js |  - The number of hits match - 0 == 1
[task 2020-07-11T12:05:03.828Z] 12:05:03     INFO -  /builds/worker/workspace/build/tests/xpcshell/tests/toolkit/components/antitracking/test/xpcshell/test_view_source.js:null:60
[task 2020-07-11T12:05:03.828Z] 12:05:03     INFO -  /builds/worker/workspace/build/tests/xpcshell/head.js:_do_main:248
[task 2020-07-11T12:05:03.828Z] 12:05:03     INFO -  /builds/worker/workspace/build/tests/xpcshell/head.js:_execute_test:577
[task 2020-07-11T12:05:03.829Z] 12:05:03     INFO -  -e:null:1
[task 2020-07-11T12:05:03.829Z] 12:05:03     INFO -  exiting test
[task 2020-07-11T12:05:03.829Z] 12:05:03     INFO -  Unexpected exception NS_ERROR_ABORT:
[task 2020-07-11T12:05:03.830Z] 12:05:03     INFO -  _abort_failed_test@/builds/worker/workspace/build/tests/xpcshell/head.js:833:20
[task 2020-07-11T12:05:03.830Z] 12:05:03     INFO -  do_report_result@/builds/worker/workspace/build/tests/xpcshell/head.js:934:5
[task 2020-07-11T12:05:03.830Z] 12:05:03     INFO -  Assert<@/builds/worker/workspace/build/tests/xpcshell/head.js:73:21
[task 2020-07-11T12:05:03.831Z] 12:05:03     INFO -  proto.report@resource://testing-common/Assert.jsm:233:10
[task 2020-07-11T12:05:03.831Z] 12:05:03     INFO -  equal@resource://testing-common/Assert.jsm:275:8
[task 2020-07-11T12:05:03.831Z] 12:05:03     INFO -  @/builds/worker/workspace/build/tests/xpcshell/tests/toolkit/components/antitracking/test/xpcshell/test_view_source.js:60:10
[task 2020-07-11T12:05:03.832Z] 12:05:03     INFO -  _do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:248:6
[task 2020-07-11T12:05:03.832Z] 12:05:03     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:577:5
[task 2020-07-11T12:05:03.832Z] 12:05:03     INFO -  @-e:1:1
[task 2020-07-11T12:05:03.833Z] 12:05:03     INFO -  exiting test
[task 2020-07-11T12:05:03.833Z] 12:05:03     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "NetworkError when attempting to fetch resource." {file: "/builds/worker/workspace/build/tests/xpcshell/head.js" line: 250}]
[task 2020-07-11T12:05:03.833Z] 12:05:03     INFO -  _do_main@/builds/worker/workspace/build/tests/xpcshell/head.js:250:6
[task 2020-07-11T12:05:03.834Z] 12:05:03     INFO -  _execute_test@/builds/worker/workspace/build/tests/xpcshell/head.js:577:5
[task 2020-07-11T12:05:03.834Z] 12:05:03     INFO -  @-e:1:1
[task 2020-07-11T12:05:03.834Z] 12:05:03     INFO -  "
[task 2020-07-11T12:05:03.835Z] 12:05:03     INFO -  <<<<<<<
[task 2020-07-11T12:05:03.842Z] 12:05:03     INFO -  TEST-START | toolkit/modules/tests/xpcshell/test_Region.js
[task 2020-07-11T12:05:07.422Z] 12:05:07     INFO -  TEST-PASS | toolkit/modules/tests/xpcshell/test_Region.js | took 3583ms
[task 2020-07-11T12:05:07.425Z] 12:05:07     INFO -  INFO | Result summary:
[task 2020-07-11T12:05:07.426Z] 12:05:07     INFO -  INFO | Passed: 486
[task 2020-07-11T12:05:07.426Z] 12:05:07  WARNING -  INFO | Failed: 1
[task 2020-07-11T12:05:07.427Z] 12:05:07  WARNING -  One or more unittests failed.
[task 2020-07-11T12:05:07.427Z] 12:05:07     INFO -  INFO | Todo: 0
[task 2020-07-11T12:05:07.427Z] 12:05:07     INFO -  INFO | Retried: 3
[task 2020-07-11T12:05:07.428Z] 12:05:07     INFO -  SUITE-END | took 1725s
[task 2020-07-11T12:05:07.428Z] 12:05:07     INFO -  Node moz-http2 server shutting down ...
[task 2020-07-11T12:05:07.493Z] 12:05:07    ERROR - Return code: 1

Gary: Can you please take a look at this bug?

Flags: needinfo?(xeonchen)
Summary: Perma TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js | xpcshell return code: 0 → Perma TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js | xpcshell return code: 0 when Gecko 80 switches to late beta on 2020-08-07

(In reply to Dorel Luca [:dluca] from comment #1)

Gary: Can you please take a look at this bug?

Okay, I'll try if I can check it this week.

Dorel, would you mind to share the steps to reproduce this? I'm not familiar how to "switches to late beta". Thank you!

Flags: needinfo?(xeonchen) → needinfo?(dluca)

Similar to bug 1652329 comment 4:

It's documented here. Basically what's needed is:

./mach try release -v 80.0b12 --tasks release-sim --migration central-to-beta --migration central-to-beta --migration early-to-late-beta --no-push
hg commit -m "Late Beta config"
./mach try chooser --full

It fails on all platforms but requesting the xpcshell tests for Linux x64 debug might be the fastest.

Flags: needinfo?(dluca)

(In reply to Sebastian Hengst [:aryx] (needinfo on intermittent or backout) from comment #5)

Similar to bug 1652329 comment 4:

It's documented here. Basically what's needed is:

./mach try release -v 80.0b12 --tasks release-sim --migration central-to-beta --migration central-to-beta --migration early-to-late-beta --no-push
hg commit -m "Late Beta config"
./mach try chooser --full

It fails on all platforms but requesting the xpcshell tests for Linux x64 debug might be the fastest.

Thanks!

Assignee: nobody → xeonchen
Summary: Perma TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js | xpcshell return code: 0 when Gecko 80 switches to late beta on 2020-08-07 → Perma TEST-UNEXPECTED-FAIL | toolkit/components/antitracking/test/xpcshell/test_view_source.js | xpcshell return code: 0 when Gecko 80 switches to beta on 2020-07-27
Pushed by xeonchen@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/5b9d0bc4a631
add query string to avoid reading from cache; r=baku
Status: NEW → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla80
You need to log in before you can comment on or make changes to this bug.